Cara Fix Error Letsencrypt pada EasyEngine (Error code: NS_ERROR_NET_INADEQUATE_SECURITY)

LIMITED STOCK: Cari VPS powerful untuk web bertrafik tinggi? Order di sini!

Easyengine dulu sudah pernah saya bahas. Anda bisa deploy website berplatform wordpress dengan mudah di VPS anda hanya dengan mengetik beberapa command line dan menekan enter. Hasilnya di VPS akan terinstal webserver ngebut yaitu Nginx, server untuk database yaitu MariaDB, PHP dll. Bahkan bisa langsung melengkapi web anda tsb dg protokol HTTPS sehingga saat diakses akan langsung tersaji di browser secara secure berkat instalasi SSL gratis Letsencrypt.

Namun update terkini pada Easyengine sedikit memunculkan masalah yaitu saat anda deploy wordpress yang dilengkapi dengan SSL Letsencrypt ternyata web tsb tidak akan dapat diakses dan browser akan melempar sebuah warning yang bunyinya: Error code: NS_ERROR_NET_INADEQUATE_SECURITY.

Kalo ada Firefox, di atas error tsb terdapat kalimat:

Your connection is not secure

The website tried to negotiate an inadequate level of security.

ari-f.com uses security technology that is outdated and vulnerable to attack. An attacker could easily reveal information which you thought to be safe. The website administrator will need to fix the server first before you can visit the site.

Baiklah, begini cara membetulkan error pada SSL Letsecrypt Easyengine tsb:

  • Login root ke server anda
  • Langsung cek ke tkp yaitu /var/www/ari-f.com/conf/nginx/ssl.conf
  • Lihatlah isi file ssl.conf tsb, isinya seperti di atas, kan?
  • Edit file tsb dengan file editor dan tambahkan di bawahnya mantra berikut:

  • Save kembali dan restart nginx
  • Done, akses kembali web dan tidak akan muncul error lagi. Skor instalasi SSL ini akan menghasilkan A+ di situs SSLlabs.

Sewa VPS? Pilih RAMNODE saja! Murah, ngebut dan handal. Order di sini!

Leave a Reply